#include "board.h"
#include "clock_config.h"
#include "peripherals.h"
#include "pin_mux.h"

/* ThreadX */
#include "tx_api.h"

/* Debug console */
#include "fsl_debug_console.h"

int main(void) {
    BOARD_InitBootPins();
    BOARD_InitBootClocks();
    BOARD_InitBootPeripherals();
    BOARD_ConfigMPU();

    BOARD_InitDebugConsole();

    CLOCK_SetMode(kCLOCK_ModeRun);

    tx_kernel_enter();

    for (;;) {
        __WFI();
    }
}
